<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.1 build:20090411
 * @link       http://www.qt-cute/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qti_init.php');
if ( !isset($_SESSION[QT]['m_rss']) ) die($L['E_access']);

$arrConf = explode(' ',$_SESSION[QT]['m_rss_conf']);
$strUser = $arrConf[0];
$strForm = $arrConf[1];
$strSize = $arrConf[2];

if ( $strUser=='V' ) { $str='MUV'; } else { $str='MU'; }
if ( !$oVIP->CanAccess($str) ) die($L['E_access']);

// INITIALISE

include(Translate('qtim_rss.php'));

$oVIP->selfurl = 'qtim_rss.php';
$oVIP->selfname = $L['rss']['Rss'];

$strRssUrl = $_SESSION[QT]['site_url'].'/rss';

$arrDomains = GetDomains();

// --------
// HTML START
// --------

$arrSections = GetSectionTitles('V');
$strHeadScript = '';
foreach($arrSections as $intS=>$strSectitle)
{
  $strHeadScript .= '<link rel="alternate" type="application/rss+xml" title="'.QTconv($strSectitle,'1').'" href="'.$strRssUrl.'/qti_'.$strForm.'_'.$intS.'.xml"/>'.N;
}

$bJava=false;

include('qti_p_header.php');

  // END IF NO DOMAIN
  if (count($arrDomains)==0)
  {
  echo '<h2>',$oVIP->selfname,'</h2>',N;
  echo '<p>',$L['rss']['E_nosection'],'</p>';
  include('qti_p_footer.php');
  exit;
  }

// TITLE & version
$str = '2.0';
if ( $strForm=='atom' ) $str='Atom 1.0';

echo '<h2>',$oVIP->selfname,'</h2>
<p>RSS ',$str,'</p>
';

// --------
// DOMAIN / SECTIONS
// --------

$intDom = 0;
$intSec = 0;
foreach($arrDomains as $intDomid=>$strDomtitle)
{

  $intDom++;
  $arrSections = GetSections('V',$intDomid);
  if ( count($arrSections)>0 )
  {
    echo '<!-- domain ',$intDomid,': ',$strDomtitle,' -->',N;
    echo '<table class="data_s" cellspacing="0">',N;
    echo '<colgroup span="3"><col width="35"></col><col></col><col width="400"></col></colgroup>';
    echo '<tr class="data_s">';
    echo '<td class="th_s th_s_ico th_s_first">&nbsp;</td>';
    echo '<td class="th_s th_s_tit">',$strDomtitle,'</td>';
    echo '<td class="th_s th_s_inf th_s_last">',$L['rss']['Url'],'</td>';
    echo '</tr>';

    // SHOW SECTIONS

    $strAlt='r1';

    foreach($arrSections as $intS=>$arrSection)
    {
      $intSec++;
      $oSEC = new cSection($arrSection,true);
      echo '<tr class="data_s">';
      echo '<td class="td_s td_s_ico ',$strAlt,' td_s_first">'.AsImg($_SESSION[QT]['skin_dir'].'/ico_section_'.$oSEC->type.'_'.$oSEC->status.'.gif','F',$L['Ico_section_'.$oSEC->type.'_'.$oSEC->status],'ico ico_s').'</td>';
      echo '<td class="td_s td_s_tit ',$strAlt,'"><span class="section">',$oSEC->name,'</span><br/><span class="sectiondesc">',$oSEC->descr,'</span></td>';
      echo '<td class="td_s td_s_inf ',$strAlt,' td_s_last">';
      echo '<input class="small" type="text" size="60" value="',$strRssUrl,'/qti_',$strForm,'_',$intS,'.xml"/><br/>';
      echo '<a href="http://www.google.com/ig/add?feedurl=',$strRssUrl,'/qti_2_',$intS,'.xml"><img src="admin/rss_google.gif" width="104" height="17" style="vertical-align:bottom;border-width:0" alt="add to Google" title="add to Google"/></a>&nbsp;';
      echo '<a href="http://add.my.yahoo.com/content?url=',$strRssUrl,'/qti_2_',$intS,'.xml"><img src="admin/rss_yahoo.gif" width="91" height="17" style="vertical-align:bottom;border-width:0" alt="add to my Yahoo" title="add to my Yahoo"/></a>&nbsp;';
      echo '<a href="',$strRssUrl,'/qti_',$strForm,'_',$intS,'.xml"><img src="admin/rss.gif" width="34" height="14" style="vertical-align:bottom;border-width:0" alt="rss" title="syndication"/></a>&nbsp;';
      echo '</td>';
      echo '</tr>';
      if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }
    }

    echo '<tr class="data_s">',N;
    echo '<td class="tf_s tf_s_first"></td>',N;
    echo '<td class="tf_s"></td>',N;
    echo '<td class="tf_s tf_s_last"></td>',N;
    echo '</tr>',N;

    echo '</table>',N;
    if ( $intDom<count($arrDomains) ) echo '<p class="dom_sep"></p>',N;
  }
}

// No public section

if ( $intSec==0 )
{
  echo '<p>',( $oVIP->role=='V' ? $L['E_no_public_section'] : $L['E_no_visible_section'] ),'</p>';
}

// HTML END

if (isset($oSEC)) unset($oSEC);
include('qti_p_footer.php');

?>