<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.1 build:20090411
 * @link       http://www.qt-cute/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qti_init.php');
include(Translate('qti_adm.php'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$strVersion='v2.1';
$oVIP->selfurl = 'qtim_rss_install.php';
$oVIP->selfname = 'Installation module RSS '.$strVersion;

$bStep0 = true;
$bStep1 = true;
$bStep2 = true;
if ( isset($_SESSION[QT]['m_rss']) ) unset($_SESSION[QT]['m_rss']);
if ( isset($_SESSION[QT]['m_rss_conf']) ) unset($_SESSION[QT]['m_rss_conf']);

// STEP 0: check version

$strQTI = QTIVERSION; if ( substr(QTIVERSION,0,1)=='v') $strQTI = substr(QTIVERSION,1);
$arrQTI = explode('.',$strQTI);
if ( intval($arrQTI[0])<2 ) $qti_error="Your QuickTicket version is $strQTI. Please, upgrade to QuickTicket 2.1 before installing this module...";
if ( !empty($qti_error) ) $bStep0 = false;

// STEP 1

if ( empty($qti_error) )
{
  $strFile = 'qtim_rss.php';
  if ( !file_exists($strFile) ) $qti_error="Missing file: $strFile<br/>This module cannot be used.";
  $strFile = 'qtim_rss_adm.php';
  if ( !file_exists($strFile) ) $qti_error="Missing file: $strFile<br/>This module cannot be used.";
  $strFile = 'qtim_rss_inc.php';
  if ( !file_exists($strFile) ) $qti_error="Missing file: $strFile<br/>This module cannot be used.";
  if ( !empty($qti_error) ) $bStep1 = false;
}

// STEP 2

if ( empty($qti_error) )
{
  $strFile = 'rss';
  if ( !is_dir($strFile) )
  {
  $qti_error='Missing directory '.$strFile.': First create this directory and make it writable.<br/>This module cannot be used because a writable directory is mandatory.';
  }
  else
  {
  if ( !is_writable($strFile) ) $qti_error='Directory '.$strFile.' is not writable.<br/>This module cannot be used because a writable directory is mandatory.';
  }
  if ( !empty($qti_error) ) $bStep2 = false;
}

// INSTALL

if ( empty($qti_error) )
{
  $oDB->Query('DELETE FROM '.TABSETTING.' WHERE param="module_rss" OR param="m_rss" OR param="m_rss_conf"');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("module_rss","RSS","1")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("m_rss","0","1")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("m_rss_conf","V 2.0 3","1")');
  $_SESSION[QT]['module_rss'] = 'RSS';
  $_SESSION[QT]['m_rss'] = '0';
  $_SESSION[QT]['m_rss_conf'] = 'V 2.0 3';
}

// --------
// Html start
// --------

include('qti_adm_p_header.php');

echo '
<h1>',$oVIP->selfname,'</h1>
';
if ( !$bStep0 )
{
  echo '<p class="error">',$qti_error,'</p>';
  include('qti_adm_p_footer.php');
  exit;
}
echo '<h2>Checking components</h2>';
if ( !$bStep1 )
{
  echo '<p class="error">',$qti_error,'</p>';
  include('qti_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';
echo '<h2>Checking rss subdirectory</h2>';
if ( !$bStep2 )
{
  echo '<p class="error">',$qti_error,'</p>';
  include('qti_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';
echo '<h2>Database settings</h2>';
echo '<p>Ok</p>';
echo '<h2>Installation completed</h2>';

include('qti_adm_p_footer.php');

?>
